{ config, lib, pkgs, ... }:

let
  cfg = config.ptw.hardware.intel;
in {
  options.ptw.hardware.intel = {
    enable = lib.mkEnableOption "Enable support for Intel CPUs";
  };

  config = lib.mkIf cfg.enable {
    hardware = {
      cpu.intel.updateMicrocode = true;
      # NOTE: Assuming each Intel CPU has integrated graphics
      opengl.extraPackages = with pkgs; [ vaapiIntel intel-media-driver ];
    };
    # TODO: Remove?
    services.xserver.videoDrivers = [ "modesetting" "fbdev" ];
  };
}
