{ config, lib, pkgs, ... }:

let
  cfg = config.ptw.programs.plasma;
in {
  options.ptw.programs.plasma = {
    enable = lib.mkEnableOption "Enable KDE Plasma";
  };

  config = lib.mkIf cfg.enable {
    services.xserver.desktopManager.plasma5 = {
      enable = true;
      runUsingSystemd = true;
      supportDDC = true;
    };

    xdg.portal = {
      enable = true;
      extraPortals = [ pkgs.xdg-desktop-portal-kde ];
    };
    
    environment.systemPackages = with pkgs; [ 
      yakuake
      libsForQt5.okular
      libsForQt5.kdeconnect-kde
      index-fm
      kasts-git
    ];
  };
}
